## HdyPreferencesPage HdyPreferencesPage — A page from the preferences window. |

## Functions

HdyPreferencesPage * | hdy_preferences_page_new ()
const gchar * | hdy_preferences_page_get_icon_name ()
void | hdy_preferences_page_set_icon_name ()
const gchar * | hdy_preferences_page_get_title ()
void | hdy_preferences_page_set_title ()

## Properties

gchar * | icon-name | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | HDY_TYPE_PREFERENCES_PAGE
struct | HdyPreferencesPageClass
| HdyPreferencesPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkScrolledWindow
                            ╰── HdyPreferencesPage

## Implemented Interfaces

HdyPreferencesPage implements AtkImplementorIface and GtkBuildable.

## Description

The HdyPreferencesPage widget gathers preferences groups into a single page of a preferences window.

## Functions

### hdy_preferences_page_new ()

    HdyPreferencesPage *
    hdy_preferences_page_new (void);

Creates a new HdyPreferencesPage.

#### Returns

a new HdyPreferencesPage

Since: 0.0.10

### hdy_preferences_page_get_icon_name ()

    const gchar *
    hdy_preferences_page_get_icon_name (HdyPreferencesPage *self);

Gets the icon name for `self` , or `NULL`.

#### Parameters

self | a HdyPreferencesPage |

#### Returns

the icon name for `self` , or `NULL`.

[transfer none][nullable]

Since: 0.0.10

### hdy_preferences_page_set_icon_name ()

    void
    hdy_preferences_page_set_icon_name (HdyPreferencesPage *self,
                                        const gchar *icon_name);

Sets the icon name for `self` .

#### Parameters

self | a HdyPreferencesPage |
icon_name | the icon name, or `NULL`. | [nullable]

Since: 0.0.10

### hdy_preferences_page_get_title ()

    const gchar *
    hdy_preferences_page_get_title (HdyPreferencesPage *self);

Gets the title of `self` , or `NULL`.

#### Parameters

self | a HdyPreferencesPage |

#### Returns

the title of the `self` , or `NULL`.

[transfer none][nullable]

Since: 0.0.10

### hdy_preferences_page_set_title ()

    void
    hdy_preferences_page_set_title (HdyPreferencesPage *self,
                                    const gchar *title);

Sets the title of `self` .

#### Parameters

self | a HdyPreferencesPage |
title | the title of the page, or `NULL`. | [nullable]

Since: 0.0.10

## Types and Values

### HDY_TYPE_PREFERENCES_PAGE

    #define HDY_TYPE_PREFERENCES_PAGE (hdy_preferences_page_get_type())

### struct HdyPreferencesPageClass

    struct HdyPreferencesPageClass {
      GtkScrolledWindowClass parent_class;
    };

#### Members

### HdyPreferencesPage

    typedef struct _HdyPreferencesPage HdyPreferencesPage;

## Property Details

### The `“icon-name”` property

      “icon-name”                gchar *

The icon name for this page of preferences.

Owner: HdyPreferencesPage

Flags: Read / Write

Default value: ""

Since: 0.0.10

### The `“title”` property

      “title”                    gchar *

The title for this page of preferences.

Owner: HdyPreferencesPage

Flags: Read / Write

Default value: ""

Since: 0.0.10